# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mark-tree"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "questionable tree-shaped thing"
readme = false
license = "MIT"
repository = "https://github.com/xfnw/workspace"

[lib]
name = "mark_tree"
path = "src/lib.rs"

[[example]]
name = "ipropt"
path = "examples/ipropt.rs"

[dependencies]

[lints.clippy]
or_fun_call = "warn"
pedantic = "warn"
use_self = "warn"
